View Issue Details

Category
SSPBT:本体(SSP)
SeveritycrashReproducibilityalways 
Status closed 
Fixed in Version2.4 (リリース) 
Summary0000123: Attempting to update some ghosts when no update is available causes SSP to crash
Description

I cannot pinpoint the exact cause, but here is what we've found out.

The bug happens in SSP version 2.4.86 and forward. It only affects some ghosts, but we're not sure why. Different ghosts by the same developer have different behavior, even though the updates are hosted on the same website.

To recreate the bug, run an affected ghost (This is one of them: https://zdzisiu.github.io/Ukagaka/ghosts/MiniDev.nar ), then attempt an update. If an update is available, it will update normally. If no update is available, it will hang until the user double clicks the balloon, at which point SSP will crash.

Please note that the .nar file provided is an older version of that ghost; the first time you attempt an update it will find new files to update with. Attempting to update after that point will cause the crash.

This bug affects updates through the ghost explorer as well:
Running a normal network update with the ghost explorer causes a crash
Running a checkonly update through the ghost itself with script input causes a crash
Running a checkonly update with the ghost explorer does NOT cause a crash, and correctly says that no update is available.

I've attached my STACKTRC.TXT, as well as an image of an error that popped up in the network log briefly before SSP closed itself. Nothing showed up in the update log or error log at all.

Relationships

has duplicate 0000122 closedponapalt ゴーストエクスプローラーで更新の確認できない 

Activities

guest

2021-01-21 18:17

reporter  

STACKTRC.TXT (74,617 bytes)   
SPDebugger/2.15.21731.A
Exception Raised at 0047ff52 because ACCESS_VIOLATION (#c0000005)
  ->Reading 000000ac Data
Windows NT 10.0.19041 
UAC: Enabled,Limited
Time: 2021/1/21 03:39:28.128
Phys.Mem: 4575/16335MB  PageFile: 14797/47055MB
CPU : AMD 0.23.8.2 3200MHz Features:MMX SSE HT AES-NI (AMD Ryzen 7 2700 Eight-Core Processor)
Package:1 Node:1 Core:8 Thread:16
SSP/2.4.86 (20201013-7; Windows NT 10.0.19041)

Volume Information: 
    C:\  Fixed  [    6818MB Free |  113827MB Total |  5%] (NTFS,Normal)
    D:\  Fixed  [      63MB Free |      99MB Total | 63%] (NTFS,Normal)
    E:\  CD-ROM
    F:\  Fixed  [  893667MB Free | 1907625MB Total | 46%] (NTFS,Normal)

Monitor Information: 
    0: \\.\DISPLAY19 - Work=-1920,0,0,1040 Size=1920x1080 
    1: \\.\DISPLAY20 - Work=0,0,1920,1040 Size=1920x1080 [PRIMARY]

Env. Variables: 
    =::=::\
    ALLUSERSPROFILE=C:\ProgramData
    APPDATA=C:\Users\Zichqec\AppData\Roaming
    CommonProgramFiles=C:\Program Files (x86)\Common Files
    CommonProgramFiles(x86)=C:\Program Files (x86)\Common Files
    CommonProgramW6432=C:\Program Files\Common Files
    COMPUTERNAME=VANTA-BLACK
    ComSpec=C:\WINDOWS\system32\cmd.exe
    DriverData=C:\Windows\System32\Drivers\DriverData
    HOMEDRIVE=C:
    HOMEPATH=\Users\Zichqec
    LOCALAPPDATA=C:\Users\Zichqec\AppData\Local
    LOGONSERVER=\\VANTA-BLACK
    NUMBER_OF_PROCESSORS=16
    OneDrive=C:\Users\Zichqec\OneDrive
    OS=Windows_NT
    Path=F:\Stuff\SSP\;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\WINDOWS\System32\OpenSSH\;F:\Stuff\Programs\QT Lite\QTSystem;C:\Program Files (x86)\Brackets\command;F:\Stuff\Python\Python-3.9\Scripts\;F:\Stuff\Python\Python-3.9\;C:\Users\Zichqec\AppData\Local\Microsoft\WindowsApps;C:\Users\Zichqec\AppData\Local\GitHubDesktop\bin;F:\Stuff\Programs\Microsoft VS Code\bin;C:\Users\Zichqec\AppData\Local\Microsoft\WindowsApps;
    PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC
    PROCESSOR_ARCHITECTURE=x86
    PROCESSOR_ARCHITEW6432=AMD64
    PROCESSOR_IDENTIFIER=AMD64 Family 23 Model 8 Stepping 2, AuthenticAMD
    PROCESSOR_LEVEL=23
    PROCESSOR_REVISION=0802
    ProgramData=C:\ProgramData
    ProgramFiles=C:\Program Files (x86)
    ProgramFiles(x86)=C:\Program Files (x86)
    ProgramW6432=C:\Program Files
    PSModulePath=C:\Program Files\WindowsPowerShell\Modules;C:\WINDOWS\system32\WindowsPowerShell\v1.0\Modules
    PUBLIC=C:\Users\Public
    SESSIONNAME=Console
    SystemDrive=C:
    SystemRoot=C:\WINDOWS
    TEMP=C:\Users\Zichqec\AppData\Local\Temp
    TMP=C:\Users\Zichqec\AppData\Local\Temp
    USERDOMAIN=VANTA-BLACK
    USERDOMAIN_ROAMINGPROFILE=VANTA-BLACK
    USERNAME=Zichqec
    USERPROFILE=C:\Users\Zichqec
    windir=C:\WINDOWS
    __COMPAT_LAYER=DetectorsAppHealth

Loaded Drivers: 
    -5acf0000 : mcupdate_AuthenticAMD.dll
    -5ad20000 : hal.dll
    -5ad30000 : kd.dll
    -5ad40000 : tm.sys
    -5ad70000 : CLFS.SYS
    -5ade0000 : PSHED.dll
    -5ae00000 : BOOTVID.dll
    -5ae10000 : clipsp.sys
    -5af30000 : FLTMGR.SYS
    -5afa0000 : ksecdd.sys
    -5afd0000 : msrpc.sys
    -5b040000 : cmimcext.sys
    -5b050000 : werkernel.sys
    -5b070000 : ntosext.sys
    -5b080000 : WDFLDR.SYS
    -5b0a0000 : SleepStudyHelper.sys
    -5b0b0000 : WppRecorder.sys
    -5b0d0000 : SgrmAgent.sys
    -5ee00000 : ntoskrnl.exe
    -60600000 : CI.dll
    -606f0000 : cng.sys
    -607b0000 : Wdf01000.sys
    -60890000 : acpiex.sys
    -608c0000 : mssecflt.sys
    -60910000 : ACPI.sys
    -609e0000 : WMILIB.SYS
    -60a10000 : intelpep.sys
    -60a80000 : WindowsTrustedRT.sys
    -60aa0000 : IntelTA.sys
    -60ab0000 : WindowsTrustedRTProxy.sys
    -60ac0000 : pcw.sys
    -60ae0000 : msisadrv.sys
    -60af0000 : pci.sys
    -60b70000 : vdrvroot.sys
    -60b90000 : pdc.sys
    -60bc0000 : CEA.sys
    -60be0000 : partmgr.sys
    -60c20000 : spaceport.sys
    -60cd0000 : volmgr.sys
    -60cf0000 : volmgrx.sys
    -60d60000 : vmbus.sys
    -60da0000 : hvsocket.sys
    -60dd0000 : vmbkmcl.sys
    -60e00000 : NETIO.SYS
    -60ea0000 : NDIS.SYS
    -61010000 : winhv.sys
    -61030000 : mountmgr.sys
    -61050000 : storahci.sys
    -61090000 : storport.sys
    -61150000 : stornvme.sys
    -61180000 : EhStorClass.sys
    -611a0000 : fileinfo.sys
    -611c0000 : Wof.sys
    -61200000 : WdFilter.sys
    -61270000 : Ntfs.sys
    -61550000 : Fs_Rec.sys
    -61560000 : ksecpkg.sys
    -615e0000 : tcpip.sys
    -618d0000 : fwpkclnt.sys
    -61950000 : wfplwfs.sys
    -61990000 : fvevol.sys
    -61a60000 : volume.sys
    -61a70000 : volsnap.sys
    -61ae0000 : rdyboost.sys
    -61b40000 : mup.sys
    -61b70000 : iorate.sys
    -61bb0000 : disk.sys
    -61bd0000 : CLASSPNP.SYS
    -69e00000 : cdrom.sys
    -69e40000 : filecrypt.sys
    -69e60000 : tbs.sys
    -69e70000 : Null.SYS
    -69e80000 : Beep.SYS
    -69e90000 : dump_dumpfve.sys
    -69ed0000 : crashdmp.sys
    -69ef0000 : luafv.sys
    -69f20000 : wcifs.sys
    -69f60000 : cldflt.sys
    -6a400000 : Npfs.SYS
    -6a420000 : Msfs.SYS
    -6a440000 : CimFS.SYS
    -6a460000 : tdx.sys
    -6a490000 : TDI.SYS
    -6a4b0000 : netbt.sys
    -6a510000 : afunix.sys
    -6a530000 : afd.sys
    -6a5e0000 : vwififlt.sys
    -6a600000 : pacer.sys
    -6a630000 : ndiscap.sys
    -6a650000 : netbios.sys
    -6a670000 : Vid.sys
    -6a720000 : winhvr.sys
    -6a750000 : rdbss.sys
    -6a7d0000 : csc.sys
    -6a870000 : nsiproxy.sys
    -6a890000 : npsvctrig.sys
    -6a8a0000 : mssmbios.sys
    -6a8c0000 : gpuenergydrv.sys
    -6a8d0000 : dfsc.sys
    -6a920000 : fastfat.SYS
    -6a990000 : bam.sys
    -6a9b0000 : ahcache.sys
    -6aa00000 : CompositeBus.sys
    -6aa20000 : kdnic.sys
    -6aa30000 : umbus.sys
    -6aa50000 : USBXHCI.SYS
    -6aaf0000 : ucx01000.sys
    -6ac90000 : dxgmms2.sys
    -6ad80000 : rfcomm.sys
    -6adc0000 : BthEnum.sys
    -6adf0000 : bthpan.sys
    -6ae20000 : Microsoft.Bluetooth.Legacy.LEEnumerator.sys
    -6ae50000 : BthA2dp.sys
    -6aea0000 : Microsoft.Bluetooth.AvrcpTransport.sys
    -6aec0000 : bthhfenum.sys
    -6aef0000 : hidbth.sys
    -6af20000 : BthHfAud.sys
    -6af60000 : dump_diskdump.sys
    -6afb0000 : dump_storahci.sys
    -6aff0000 : dxgkrnl.sys
    -6b3a0000 : watchdog.sys
    -6b3c0000 : BasicDisplay.sys
    -6b3e0000 : BasicRender.sys
    -6f400000 : parport.sys
    -6f420000 : serial.sys
    -6f440000 : serenum.sys
    -6f450000 : amdgpio2.sys
    -6f460000 : msgpioclx.sys
    -6f4a0000 : wmiacpi.sys
    -6f4b0000 : amdppm.sys
    -6f4f0000 : amdgpio3.sys
    -6f500000 : UEFI.sys
    -6f510000 : NdisVirtualBus.sys
    -6f520000 : swenum.sys
    -6f530000 : wachidrouter.sys
    -6f560000 : mshidkmdf.sys
    -6f570000 : HIDCLASS.SYS
    -6f5b0000 : HIDPARSE.SYS
    -6f5d0000 : rdpbus.sys
    -6f5e0000 : mouhid.sys
    -6f600000 : wacomrouterfilter.sys
    -6f610000 : mouclass.sys
    -6f630000 : UsbHub3.sys
    -6f6e0000 : USBD.SYS
    -6f710000 : ksthunk.sys
    -6f720000 : HdAudio.sys
    -6f790000 : Nahimic_Mirroring.sys
    -6f7b0000 : usbccgp.sys
    -6f830000 : kbdclass.sys
    -6f850000 : lvuvc64.sys
    -6fce0000 : usbaudio.sys
    -6fd20000 : lvrs64.sys
    -6fd80000 : bcbtums.sys
    -6fdc0000 : BTHport.sys
    -6ff50000 : BTHUSB.sys
    -6ff80000 : btampm.sys
    -73e90000 : HDAudBus.sys
    -73ec0000 : portcls.sys
    -73f30000 : drmk.sys
    -73f60000 : ks.sys
    -73fe0000 : AMDPCIDev.sys
    -74000000 : amdpsp.sys
    -74040000 : hidusb.sys
    -74060000 : kbdhid.sys
    -740c0000 : udfs.sys
    -74120000 : cdfs.sys
    -74500000 : amdkmdag.sys
    -78910000 : AtihdWT6.sys
    -78930000 : rt640x64.sys
    -8b000000 : msquic.sys
    -8b060000 : HTTP.sys
    -8b1f0000 : bowser.sys
    -8b220000 : mpsdrv.sys
    -8b240000 : mrxsmb.sys
    -8b2e0000 : mrxsmb20.sys
    -8b330000 : srvnet.sys
    -8b390000 : Ndu.sys
    -8b3c0000 : peauth.sys
    -8b4a0000 : tcpipreg.sys
    -8b4c0000 : srv2.sys
    -8b590000 : rassstp.sys
    -8b5b0000 : NDProxy.sys
    -8b5d0000 : AgileVpn.sys
    -8b600000 : rasl2tp.sys
    -8b630000 : raspptp.sys
    -8b660000 : raspppoe.sys
    -8b680000 : ndistapi.sys
    -8b690000 : ndiswan.sys
    -8b6d0000 : WdNisDrv.sys
    -8b710000 : condrv.sys
    -8b7f0000 : qwavedrv.sys
    -8b850000 : monitor.sys
    -8ba80000 : storqosflt.sys
    -8baa0000 : bindflt.sys
    -8bad0000 : mmcss.sys
    -8baf0000 : mslldp.sys
    -8bb50000 : WSDScan.sys
    -8bb60000 : WSDPrint.sys
    -8bb70000 : lltdio.sys
    -8bb90000 : wanarp.sys
    -8bbb0000 : rspndr.sys
    -fa000000 : win32kbase.sys
    -fa2e0000 : win32kfull.sys
    -fa6a0000 : cdd.dll
    -fab00000 : win32k.sys

Executing Processes: 
[With ToolHelp32]
    -00000000 : [System Process] (16 Threads.)
    -00000004 : System (249 Threads.)
    -000000ac : Registry (4 Threads.)
    -00000240 : smss.exe (2 Threads.)
    -000002b8 : csrss.exe (14 Threads.)
    -00000078 : wininit.exe (1 Threads.)
    -000001e0 : csrss.exe (21 Threads.)
    -000002f8 : winlogon.exe (6 Threads.)
    -00000310 : services.exe (7 Threads.)
    -00000334 : lsass.exe (10 Threads.)
    -00000348 : svchost.exe (16 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000414 : fontdrvhost.exe (5 Threads.)
                10.0.19041.662 - Usermode Font Driver Host
                � Microsoft Corporation. All rights reserved.
    -00000418 : fontdrvhost.exe (5 Threads.)
                10.0.19041.662 - Usermode Font Driver Host
                � Microsoft Corporation. All rights reserved.
    -00000470 : svchost.exe (17 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000004a4 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000004e8 : dwm.exe (18 Threads.)
    -00000568 : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000056c : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000574 : svchost.exe (2 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000604 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000060c : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000063c : svchost.exe (7 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000066c : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000006b4 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000740 : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000780 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000788 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000007c0 : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000007dc : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000006e8 : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000828 : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000085c : svchost.exe (8 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000008e4 : svchost.exe (8 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000924 : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000092c : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000934 : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000096c : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000978 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000009f8 : svchost.exe (2 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000a2c : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000a34 : svchost.exe (9 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000a74 : Memory Compression (2030 Threads.)
    -00000a98 : dasHost.exe (2 Threads.)
    -00000b60 : svchost.exe (7 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000b90 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000bd8 : svchost.exe (12 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000006c8 : dasHost.exe (1 Threads.)
    -00000c14 : svchost.exe (15 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000c98 : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000ca0 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000cd4 : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000d48 : spoolsv.exe (11 Threads.)
    -00000d8c : svchost.exe (12 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000dac : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000e70 : svchost.exe (2 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000e78 : svchost.exe (9 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000e80 : svchost.exe (13 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000e88 : svchost.exe (19 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000e90 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000e98 : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000ea0 : svchost.exe (14 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000ea8 : svchost.exe (7 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000eb0 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000eb8 : escsvc64.exe (2 Threads.)
    -00000ec0 : BtwRSupportService.exe (3 Threads.)
    -00000ed0 : NahimicService.exe (11 Threads.)
    -00000ed8 : PMAService.exe (3 Threads.)
    -00000f78 : WTabletServicePro.exe (4 Threads.)
    -00000f84 : svchost.exe (21 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000f98 : MsMpEng.exe (66 Threads.)
    -00000e10 : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00001008 : svchost.exe (6 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00001098 : svchost.exe (13 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000010ac : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000000d4 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000014e0 : NisSrv.exe (8 Threads.)
    -00001788 : svchost.exe (10 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00001548 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000cd0 : sihost.exe (15 Threads.)
    -00001538 : svchost.exe (9 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000015bc : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000d50 : taskhostw.exe (9 Threads.)
    -000018cc : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000019a8 : svchost.exe (7 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000019c4 : explorer.exe (237 Threads.)
                10.0.19041.662 - Windows Explorer
                � Microsoft Corporation. All rights reserved.
    -00001a00 : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000c40 : GoogleCrashHandler.exe (3 Threads.)
    -00000bf0 : GoogleCrashHandler64.exe (3 Threads.)
    -00000c84 : svchost.exe (7 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00001660 : StartMenuExperienceHost.exe (8 Threads.)
    -00001ca8 : RuntimeBroker.exe (2 Threads.)
    -00001d8c : SearchApp.exe (63 Threads.)
    -00001d94 : SearchIndexer.exe (27 Threads.)
                7.0.19041.610 - Microsoft Windows Search Indexer
                � Microsoft Corporation. All rights reserved.
    -00001e10 : RuntimeBroker.exe (11 Threads.)
    -000021d0 : dllhost.exe (5 Threads.)
                10.0.19041.546 - COM Surrogate
                � Microsoft Corporation. All rights reserved.
    -000022a0 : Wacom_TabletUser.exe (3 Threads.)
    -000022f4 : WacomHost.exe (1 Threads.)
    -000023a8 : Wacom_Tablet.exe (28 Threads.)
    -000023f8 : Wacom_TouchUser.exe (14 Threads.)
    -000012bc : nahimicNotifSys.exe (12 Threads.)
    -000024ec : ctfmon.exe (14 Threads.)
                10.0.19041.1 - CTF Loader
                � Microsoft Corporation. All rights reserved.
    -000024fc : TabTip.exe (9 Threads.)
    -00002640 : TextInputHost.exe (23 Threads.)
    -00001bbc : audiodg.exe (8 Threads.)
    -00000f58 : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00001bd4 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00002738 : svchost.exe (8 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00001ad8 : RuntimeBroker.exe (5 Threads.)
    -00001e6c : ShellExperienceHost.exe (48 Threads.)
    -00001ed4 : RuntimeBroker.exe (7 Threads.)
    -00001e90 : SecurityHealthSystray.exe (1 Threads.)
    -000026ec : SecurityHealthService.exe (8 Threads.)
    -00002bd8 : SgrmBroker.exe (6 Threads.)
    -00002880 : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000be8 : svchost.exe (8 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000028e0 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000015e4 : googledrivesync.exe (1 Threads.)
    -00002bc0 : steam.exe (29 Threads.)
    -00000724 : GyStation.exe (20 Threads.)
    -00002984 : E_YATIWBE.EXE (3 Threads.)
    -00002a04 : EEventManager.exe (4 Threads.)
    -00002764 : FUFAXRCV.exe (5 Threads.)
    -000018ec : FUFAXSTM.exe (3 Threads.)
    -000029e0 : jusched.exe (2 Threads.)
    -00000688 : googledrivesync.exe (54 Threads.)
    -00000ae0 : steamwebhelper.exe (17 Threads.)
    -00001230 : steamwebhelper.exe (6 Threads.)
    -00000ca8 : steamwebhelper.exe (8 Threads.)
    -000028a0 : SteamService.exe (5 Threads.)
    -00002504 : brave.exe (31 Threads.)
    -00002b08 : brave.exe (8 Threads.)
    -000029f8 : brave.exe (15 Threads.)
    -00001cb4 : brave.exe (7 Threads.)
    -00001ed0 : brave.exe (19 Threads.)
    -00000bb0 : brave.exe (28 Threads.)
    -00002b78 : brave.exe (24 Threads.)
    -00002d10 : brave.exe (9 Threads.)
    -00002d34 : brave.exe (7 Threads.)
    -00002e34 : brave.exe (16 Threads.)
    -00002e9c : brave.exe (20 Threads.)
    -00002ee8 : brave.exe (15 Threads.)
    -00002f70 : brave.exe (17 Threads.)
    -00002fc8 : brave.exe (15 Threads.)
    -00001d6c : brave.exe (15 Threads.)
    -00002ae8 : brave.exe (16 Threads.)
    -0000301c : brave.exe (15 Threads.)
    -0000307c : CompPkgSrv.exe (1 Threads.)
    -00003124 : brave.exe (15 Threads.)
    -0000334c : steamwebhelper.exe (19 Threads.)
    -00003380 : steamwebhelper.exe (19 Threads.)
    -00002ddc : steamwebhelper.exe (8 Threads.)
    -000034f0 : brave.exe (17 Threads.)
    -0000353c : brave.exe (15 Threads.)
    -00003658 : brave.exe (15 Threads.)
    -000036a8 : brave.exe (15 Threads.)
    -0000257c : brave.exe (19 Threads.)
    -00003224 : brave.exe (20 Threads.)
    -00001754 : brave.exe (16 Threads.)
    -00001af8 : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00000c8c : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000022fc : UserOOBEBroker.exe (4 Threads.)
    -00002fbc : LockApp.exe (14 Threads.)
    -000006d0 : RuntimeBroker.exe (2 Threads.)
    -00000128 : ApplicationFrameHost.exe (5 Threads.)
    -00001118 : svchost.exe (8 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000054c : sai2.exe (20 Threads.)
    -00001910 : brave.exe (15 Threads.)
    -000019f8 : brave.exe (17 Threads.)
    -00002944 : SettingSyncHost.exe (2 Threads.)
                10.0.19041.1 - Host Process for Setting Synchronization
                � Microsoft Corporation. All rights reserved.
    -000009dc : brave.exe (15 Threads.)
    -00003be0 : brave.exe (15 Threads.)
    -000029b8 : RuntimeBroker.exe (6 Threads.)
    -0000458c : ScreenSketch.exe (50 Threads.)
    -0000342c : brave.exe (16 Threads.)
    -0000485c : brave.exe (16 Threads.)
    -00004b60 : brave.exe (15 Threads.)
    -00003f3c : brave.exe (8 Threads.)
    -00004c6c : taskhostw.exe (4 Threads.)
    -000056e8 : GitHubDesktop.exe (25 Threads.)
    -00004e40 : GitHubDesktop.exe (9 Threads.)
    -00005338 : GitHubDesktop.exe (23 Threads.)
    -0000232c : brave.exe (16 Threads.)
    -000049c0 : brave.exe (15 Threads.)
    -0000559c : brave.exe (17 Threads.)
    -00004974 : Discord.exe (17 Threads.)
    -000064e8 : Discord.exe (12 Threads.)
    -00005900 : Discord.exe (7 Threads.)
    -00005754 : brave.exe (15 Threads.)
    -00005264 : brave.exe (16 Threads.)
    -00005d70 : brave.exe (15 Threads.)
    -0000261c : brave.exe (17 Threads.)
    -00000d94 : conhost.exe (3 Threads.)
    -00002aa0 : nativeproxy.exe (1 Threads.)
    -000055fc : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000045fc : brave.exe (15 Threads.)
    -00007008 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -000068e4 : EPSDNMON.EXE (2 Threads.)
    -000042f8 : brave.exe (16 Threads.)
    -00005330 : brave.exe (16 Threads.)
    -00001c2c : brave.exe (18 Threads.)
    -00005170 : brave.exe (15 Threads.)
    -00008154 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00008744 : dllhost.exe (4 Threads.)
                10.0.19041.546 - COM Surrogate
                � Microsoft Corporation. All rights reserved.
    -00004dbc : SystemSettings.exe (18 Threads.)
    -000025fc : brave.exe (15 Threads.)
    -00008bac : conhost.exe (3 Threads.)
    -00001a68 : nativeproxy.exe (1 Threads.)
    -000072f0 : conhost.exe (3 Threads.)
    -00006970 : nativeproxy.exe (1 Threads.)
    -000077f4 : conhost.exe (3 Threads.)
    -00007bb0 : nativeproxy.exe (1 Threads.)
    -00007a1c : YourPhone.exe (22 Threads.)
    -00006190 : RuntimeBroker.exe (4 Threads.)
    -0000773c : brave.exe (16 Threads.)
    -000040b0 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -00008e50 : SystemSettingsBroker.exe (3 Threads.)
    -000091d8 : DeepL.exe (62 Threads.)
    -000096d8 : CefSharp.BrowserSubprocess.exe (11 Threads.)
    -0000a6b8 : CefSharp.BrowserSubprocess.exe (18 Threads.)
    -0000a65c : hotkey.exe (1 Threads.)
    -00007aec : brave.exe (15 Threads.)
    -0000a508 : brave.exe (15 Threads.)
    -00006f0c : brave.exe (15 Threads.)
    -00008a6c : conhost.exe (3 Threads.)
    -0000b388 : nativeproxy.exe (1 Threads.)
    -0000b2f8 : svchost.exe (1 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000a88c : atiesrxx.exe (4 Threads.)
    -00009d98 : atieclxx.exe (8 Threads.)
    -0000bb6c : svchost.exe (3 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000b954 : RadeonSoftware.exe (51 Threads.)
    -0000b348 : notepad++.exe (3 Threads.)
    -00002e94 : notepad++.exe (5 Threads.)
    -00002450 : notepad++.exe (3 Threads.)
    -0000b408 : DeSmuME_0.9.11_x64.exe (28 Threads.)
    -0000bc7c : brave.exe (15 Threads.)
    -0000bdf8 : brave.exe (15 Threads.)
    -0000aad0 : steamwebhelper.exe (27 Threads.)
    -00009e14 : MusNotifyIcon.exe (3 Threads.)
    -0000c2dc : conhost.exe (3 Threads.)
    -0000ca00 : nativeproxy.exe (1 Threads.)
    -00009a54 : conhost.exe (3 Threads.)
    -00004d60 : nativeproxy.exe (1 Threads.)
    -0000c74c : CefSharp.BrowserSubprocess.exe (31 Threads.)
    -0000c6ec : brave.exe (17 Threads.)
    -00002b2c : WmiPrvSE.exe (8 Threads.)
                10.0.19041.546 - WMI Provider Host
                � Microsoft Corporation. All rights reserved.
    -00003684 : notepad++.exe (1 Threads.)
    -00007ca4 : GitHubDesktop.exe (29 Threads.)
    -0000b760 : brave.exe (16 Threads.)
    -0000c61c : brave.exe (15 Threads.)
    -000020a0 : brave.exe (15 Threads.)
    -00001ecc : brave.exe (15 Threads.)
    -000095d4 : brave.exe (15 Threads.)
    -000075b4 : brave.exe (15 Threads.)
    -0000b66c : brave.exe (15 Threads.)
    -0000b3b4 : brave.exe (15 Threads.)
    -0000a93c : brave.exe (15 Threads.)
    -00002e7c : steamwebhelper.exe (18 Threads.)
    -00009038 : brave.exe (15 Threads.)
    -000036fc : brave.exe (15 Threads.)
    -0000d520 : brave.exe (15 Threads.)
    -0000c4e4 : brave.exe (15 Threads.)
    -0000925c : brave.exe (17 Threads.)
    -0000dd30 : conhost.exe (3 Threads.)
    -0000b3d8 : nativeproxy.exe (1 Threads.)
    -0000c4c4 : conhost.exe (3 Threads.)
    -0000c734 : nativeproxy.exe (1 Threads.)
    -0000e090 : pycharm64.exe (48 Threads.)
    -0000e454 : fsnotifier64.exe (3 Threads.)
    -0000d0f8 : conhost.exe (2 Threads.)
    -00004784 : AMDRSServ.exe (98 Threads.)
    -0000abe0 : amdow.exe (25 Threads.)
    -0000c728 : Microsoft.Photos.exe (22 Threads.)
    -0000a450 : RuntimeBroker.exe (6 Threads.)
    -00009c9c : Discord.exe (30 Threads.)
    -0000dbb4 : Discord.exe (7 Threads.)
    -0000db70 : Discord.exe (29 Threads.)
    -0000e1dc : Discord.exe (8 Threads.)
    -0000c48c : Discord.exe (55 Threads.)
    -000098ac : Discord.exe (8 Threads.)
    -000092d8 : AMDRSSrcExt.exe (24 Threads.)
    -0000b120 : jucheck.exe (3 Threads.)
    -0000d4f4 : brave.exe (15 Threads.)
    -0000cbf0 : brave.exe (15 Threads.)
    -0000e50c : brave.exe (42 Threads.)
    -0000c024 : svchost.exe (5 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000eb10 : svchost.exe (2 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000ae7c : SONIC3K.EXE (14 Threads.)
    -00007f70 : DataExchangeHost.exe (3 Threads.)
    -0000eb04 : PMA.exe (3 Threads.)
    -0000eba8 : brave.exe (15 Threads.)
    -0000d8d8 : brave.exe (15 Threads.)
    -0000e0e0 : brave.exe (15 Threads.)
    -0000c878 : smartscreen.exe (11 Threads.)
    -0000a8c4 : SearchProtocolHost.exe (5 Threads.)
                7.0.19041.610 - Microsoft Windows Search Protocol Host
                � Microsoft Corporation. All rights reserved.
    -0000dec0 : SearchFilterHost.exe (1 Threads.)
                7.0.19041.610 - Microsoft Windows Search Filter Host
                � Microsoft Corporation. All rights reserved.
    -0000c924 : svchost.exe (4 Threads.)
                10.0.19041.546 - Host Process for Windows Services
                � Microsoft Corporation. All rights reserved.
    -0000d18c : brave.exe (14 Threads.)
    -0000e054 : RuntimeBroker.exe (4 Threads.)
==> -0000e640 : ssp.exe (28 Threads.)
                2.4.86.3000 - SSP
                (C) D-EXCLAMATION / SSP BUGTRAQ

Executing Services: 
[With SCM/NT]
    ---AJRouter (AllJoyn Router Service) - Stopped/Paused
    ---ALG (Application Layer Gateway Service) - Stopped/Paused
    ***AMD External Events Utility (AMD External Events Utility) - Running
    ---AppIDSvc (Application Identity) - Stopped/Paused
    ***Appinfo (Application Information) - Running
    ***AppMgmt (Application Management) - Running
    ---AppReadiness (App Readiness) - Stopped/Paused
    ---AppVClient (Microsoft App-V Client) - Stopped/Paused
    ***AppXSvc (AppX Deployment Service (AppXSVC)) - Running
    ---AssignedAccessManagerSvc (AssignedAccessManager Service) - Stopped/Paused
    ***AudioEndpointBuilder (Windows Audio Endpoint Builder) - Running
    ***Audiosrv (Windows Audio) - Running
    ---autotimesvc (Cellular Time) - Stopped/Paused
    ---AxInstSV (ActiveX Installer (AxInstSV)) - Stopped/Paused
    ***BcmBtRSupport (Bluetooth Driver Management Service) - Running
    ---BDESVC (BitLocker Drive Encryption Service) - Stopped/Paused
    ***BFE (Base Filtering Engine) - Running
    ---BITS (Background Intelligent Transfer Service) - Stopped/Paused
    ---brave (Brave Update Service (brave)) - Stopped/Paused
    ---bravem (Brave Update Service (bravem)) - Stopped/Paused
    ***BrokerInfrastructure (Background Tasks Infrastructure Service) - Running
    ***BTAGService (Bluetooth Audio Gateway Service) - Running
    ***BthAvctpSvc (AVCTP service) - Running
    ***bthserv (Bluetooth Support Service) - Running
    ***camsvc (Capability Access Manager Service) - Running
    ***CDPSvc (Connected Devices Platform Service) - Running
    ---CertPropSvc (Certificate Propagation) - Stopped/Paused
    ---ClipSVC (Client License Service (ClipSVC)) - Stopped/Paused
    ---COMSysApp (COM+ System Application) - Stopped/Paused
    ***CoreMessagingRegistrar (CoreMessaging) - Running
    ***CryptSvc (Cryptographic Services) - Running
    ---CscService (Offline Files) - Stopped/Paused
    ***DcomLaunch (DCOM Server Process Launcher) - Running
    ---defragsvc (Optimize drives) - Stopped/Paused
    ***DeviceAssociationService (Device Association Service) - Running
    ***DeviceInstall (Device Install Service) - Running
    ---DevQueryBroker (DevQuery Background Discovery Broker) - Stopped/Paused
    ***Dhcp (DHCP Client) - Running
    ---diagnosticshub.standardcollector.service (Microsoft (R) Diagnostics Hub Standard Collector Service) - Stopped/Paused
    ---diagsvc (Diagnostic Execution Service) - Stopped/Paused
    ***DiagTrack (Connected User Experiences and Telemetry) - Running
    ***DispBrokerDesktopSvc (Display Policy Service) - Running
    ---DisplayEnhancementService (Display Enhancement Service) - Stopped/Paused
    ---DmEnrollmentSvc (Device Management Enrollment Service) - Stopped/Paused
    ---dmwappushservice (Device Management Wireless Application Protocol (WAP) Push message Routing Service) - Stopped/Paused
    ***Dnscache (DNS Client) - Running
    ---DoSvc (Delivery Optimization) - Stopped/Paused
    ---dot3svc (Wired AutoConfig) - Stopped/Paused
    ***DPS (Diagnostic Policy Service) - Running
    ---DsmSvc (Device Setup Manager) - Stopped/Paused
    ***DsSvc (Data Sharing Service) - Running
    ***DusmSvc (Data Usage) - Running
    ---Eaphost (Extensible Authentication Protocol) - Stopped/Paused
    ---edgeupdate (Microsoft Edge Update Service (edgeupdate)) - Stopped/Paused
    ---edgeupdatem (Microsoft Edge Update Service (edgeupdatem)) - Stopped/Paused
    ***EFS (Encrypting File System (EFS)) - Running
    ---embeddedmode (Embedded Mode) - Stopped/Paused
    ---EntAppSvc (Enterprise App Management Service) - Stopped/Paused
    ***Epson PMAService A (Epson PMAService A) - Running
    ***EpsonScanSvc (Epson Scanner Service) - Running
    ***EventLog (Windows Event Log) - Running
    ***EventSystem (COM+ Event System) - Running
    ---Fax (Fax) - Stopped/Paused
    ---fdPHost (Function Discovery Provider Host) - Stopped/Paused
    ---FDResPub (Function Discovery Resource Publication) - Stopped/Paused
    ---fhsvc (File History Service) - Stopped/Paused
    ***FontCache (Windows Font Cache Service) - Running
    ---FrameServer (Windows Camera Frame Server) - Stopped/Paused
    ---GoogleChromeElevationService (Google Chrome Elevation Service) - Stopped/Paused
    ---gpsvc (Group Policy Client) - Stopped/Paused
    ---GraphicsPerfSvc (GraphicsPerfSvc) - Stopped/Paused
    ---gupdate (Google Update Service (gupdate)) - Stopped/Paused
    ---gupdatem (Google Update Service (gupdatem)) - Stopped/Paused
    ***hidserv (Human Interface Device Service) - Running
    ---HvHost (HV Host Service) - Stopped/Paused
    ---icssvc (Windows Mobile Hotspot Service) - Stopped/Paused
    ---IKEEXT (IKE and AuthIP IPsec Keying Modules) - Stopped/Paused
    ***InstallService (Microsoft Store Install Service) - Running
    ***iphlpsvc (IP Helper) - Running
    ---IpxlatCfgSvc (IP Translation Configuration Service) - Stopped/Paused
    ***KeyIso (CNG Key Isolation) - Running
    ---KtmRm (KtmRm for Distributed Transaction Coordinator) - Stopped/Paused
    ***LanmanServer (Server) - Running
    ***LanmanWorkstation (Workstation) - Running
    ---lfsvc (Geolocation Service) - Stopped/Paused
    ***LicenseManager (Windows License Manager Service) - Running
    ---lltdsvc (Link-Layer Topology Discovery Mapper) - Stopped/Paused
    ***lmhosts (TCP/IP NetBIOS Helper) - Running
    ***LSM (Local Session Manager) - Running
    ---LxpSvc (Language Experience Service) - Stopped/Paused
    ---MapsBroker (Downloaded Maps Manager) - Stopped/Paused
    ---MicrosoftEdgeElevationService (Microsoft Edge Elevation Service) - Stopped/Paused
    ---MixedRealityOpenXRSvc (Windows Mixed Reality OpenXR Service) - Stopped/Paused
    ---MozillaMaintenance (Mozilla Maintenance Service) - Stopped/Paused
    ***mpssvc (Windows Defender Firewall) - Running
    ---MSDTC (Distributed Transaction Coordinator) - Stopped/Paused
    ---MSiSCSI (Microsoft iSCSI Initiator Service) - Stopped/Paused
    ---msiserver (Windows Installer) - Stopped/Paused
    ***NahimicService (Nahimic service) - Running
    ---NaturalAuthentication (Natural Authentication) - Stopped/Paused
    ---NcaSvc (Network Connectivity Assistant) - Stopped/Paused
    ***NcbService (Network Connection Broker) - Running
    ---NcdAutoSetup (Network Connected Devices Auto-Setup) - Stopped/Paused
    ---Netlogon (Netlogon) - Stopped/Paused
    ---Netman (Network Connections) - Stopped/Paused
    ***netprofm (Network List Service) - Running
    ---NetSetupSvc (Network Setup Service) - Stopped/Paused
    ---NetTcpPortSharing (Net.Tcp Port Sharing Service) - Stopped/Paused
    ---NgcCtnrSvc (Microsoft Passport Container) - Stopped/Paused
    ---NgcSvc (Microsoft Passport) - Stopped/Paused
    ***NlaSvc (Network Location Awareness) - Running
    ***nsi (Network Store Interface Service) - Running
    ---p2pimsvc (Peer Networking Identity Manager) - Stopped/Paused
    ---p2psvc (Peer Networking Grouping) - Stopped/Paused
    ***PcaSvc (Program Compatibility Assistant Service) - Running
    ---PeerDistSvc (BranchCache) - Stopped/Paused
    ---perceptionsimulation (Windows Perception Simulation Service) - Stopped/Paused
    ---PerfHost (Performance Counter DLL Host) - Stopped/Paused
    ***PhoneSvc (Phone Service) - Running
    ---pla (Performance Logs & Alerts) - Stopped/Paused
    ***PlugPlay (Plug and Play) - Running
    ---PNRPAutoReg (PNRP Machine Name Publication Service) - Stopped/Paused
    ---PNRPsvc (Peer Name Resolution Protocol) - Stopped/Paused
    ---PolicyAgent (IPsec Policy Agent) - Stopped/Paused
    ***Power (Power) - Running
    ---PrintNotify (Printer Extensions and Notifications) - Stopped/Paused
    ***ProfSvc (User Profile Service) - Running
    ---PushToInstall (Windows PushToInstall Service) - Stopped/Paused
    ***QWAVE (Quality Windows Audio Video Experience) - Running
    ---RasAuto (Remote Access Auto Connection Manager) - Stopped/Paused
    ***RasMan (Remote Access Connection Manager) - Running
    ---RemoteAccess (Routing and Remote Access) - Stopped/Paused
    ---RemoteRegistry (Remote Registry) - Stopped/Paused
    ---RetailDemo (Retail Demo Service) - Stopped/Paused
    ***RmSvc (Radio Management Service) - Running
    ***RpcEptMapper (RPC Endpoint Mapper) - Running
    ---RpcLocator (Remote Procedure Call (RPC) Locator) - Stopped/Paused
    ***RpcSs (Remote Procedure Call (RPC)) - Running
    ***SamSs (Security Accounts Manager) - Running
    ---SCardSvr (Smart Card) - Stopped/Paused
    ---ScDeviceEnum (Smart Card Device Enumeration Service) - Stopped/Paused
    ***Schedule (Task Scheduler) - Running
    ---SCPolicySvc (Smart Card Removal Policy) - Stopped/Paused
    ---SDRSVC (Windows Backup) - Stopped/Paused
    ---seclogon (Secondary Logon) - Stopped/Paused
    ***SecurityHealthService (Windows Security Service) - Running
    ***SEMgrSvc (Payments and NFC/SE Manager) - Running
    ***SENS (System Event Notification Service) - Running
    ---Sense (Windows Defender Advanced Threat Protection Service) - Stopped/Paused
    ---SensorDataService (Sensor Data Service) - Stopped/Paused
    ---SensorService (Sensor Service) - Stopped/Paused
    ---SensrSvc (Sensor Monitoring Service) - Stopped/Paused
    ---SessionEnv (Remote Desktop Configuration) - Stopped/Paused
    ***SgrmBroker (System Guard Runtime Monitor Broker) - Running
    ---SharedAccess (Internet Connection Sharing (ICS)) - Stopped/Paused
    ---SharedRealitySvc (Spatial Data Service) - Stopped/Paused
    ***ShellHWDetection (Shell Hardware Detection) - Running
    ---shpamsvc (Shared PC Account Manager) - Stopped/Paused
    ---smphost (Microsoft Storage Spaces SMP) - Stopped/Paused
    ---SmsRouter (Microsoft Windows SMS Router Service.) - Stopped/Paused
    ---SNMPTRAP (SNMP Trap) - Stopped/Paused
    ---spectrum (Windows Perception Service) - Stopped/Paused
    ***Spooler (Print Spooler) - Running
    ---sppsvc (Software Protection) - Stopped/Paused
    ***SSDPSRV (SSDP Discovery) - Running
    ---ssh-agent (OpenSSH Authentication Agent) - Stopped/Paused
    ***SstpSvc (Secure Socket Tunneling Protocol Service) - Running
    ***StateRepository (State Repository Service) - Running
    ***Steam Client Service (Steam Client Service) - Running
    ***stisvc (Windows Image Acquisition (WIA)) - Running
    ***StorSvc (Storage Service) - Running
    ---svsvc (Spot Verifier) - Stopped/Paused
    ---swprv (Microsoft Software Shadow Copy Provider) - Stopped/Paused
    ***SysMain (SysMain) - Running
    ***SystemEventsBroker (System Events Broker) - Running
    ***TabletInputService (Touch Keyboard and Handwriting Panel Service) - Running
    ***TapiSrv (Telephony) - Running
    ---TermService (Remote Desktop Services) - Stopped/Paused
    ***Themes (Themes) - Running
    ---TieringEngineService (Storage Tiers Management) - Stopped/Paused
    ***TimeBrokerSvc (Time Broker) - Running
    ***TokenBroker (Web Account Manager) - Running
    ***TrkWks (Distributed Link Tracking Client) - Running
    ---TroubleshootingSvc (Recommended Troubleshooting Service) - Stopped/Paused
    ---TrustedInstaller (Windows Modules Installer) - Stopped/Paused
    ---tzautoupdate (Auto Time Zone Updater) - Stopped/Paused
    ---UevAgentService (User Experience Virtualization Service) - Stopped/Paused
    ---UmRdpService (Remote Desktop Services UserMode Port Redirector) - Stopped/Paused
    ---upnphost (UPnP Device Host) - Stopped/Paused
    ***UserManager (User Manager) - Running
    ***UsoSvc (Update Orchestrator Service) - Running
    ---VacSvc (Volumetric Audio Compositor Service) - Stopped/Paused
    ***VaultSvc (Credential Manager) - Running
    ---vds (Virtual Disk) - Stopped/Paused
    ---vmicguestinterface (Hyper-V Guest Service Interface) - Stopped/Paused
    ---vmicheartbeat (Hyper-V Heartbeat Service) - Stopped/Paused
    ---vmickvpexchange (Hyper-V Data Exchange Service) - Stopped/Paused
    ---vmicrdv (Hyper-V Remote Desktop Virtualization Service) - Stopped/Paused
    ---vmicshutdown (Hyper-V Guest Shutdown Service) - Stopped/Paused
    ---vmictimesync (Hyper-V Time Synchronization Service) - Stopped/Paused
    ---vmicvmsession (Hyper-V PowerShell Direct Service) - Stopped/Paused
    ---vmicvss (Hyper-V Volume Shadow Copy Requestor) - Stopped/Paused
    ---VSS (Volume Shadow Copy) - Stopped/Paused
    ---VSStandardCollectorService150 (Visual Studio Standard Collector Service 150) - Stopped/Paused
    ***W32Time (Windows Time) - Running
    ---WaaSMedicSvc (Windows Update Medic Service) - Stopped/Paused
    ---WalletService (WalletService) - Stopped/Paused
    ---WarpJITSvc (WarpJITSvc) - Stopped/Paused
    ---wbengine (Block Level Backup Engine Service) - Stopped/Paused
    ***WbioSrvc (Windows Biometric Service) - Running
    ***Wcmsvc (Windows Connection Manager) - Running
    ---wcncsvc (Windows Connect Now - Config Registrar) - Stopped/Paused
    ***WdiServiceHost (Diagnostic Service Host) - Running
    ***WdiSystemHost (Diagnostic System Host) - Running
    ***WdNisSvc (Microsoft Defender Antivirus Network Inspection Service) - Running
    ---WebClient (WebClient) - Stopped/Paused
    ---Wecsvc (Windows Event Collector) - Stopped/Paused
    ---WEPHOSTSVC (Windows Encryption Provider Host Service) - Stopped/Paused
    ---wercplsupport (Problem Reports Control Panel Support) - Stopped/Paused
    ---WerSvc (Windows Error Reporting Service) - Stopped/Paused
    ---WFDSConMgrSvc (Wi-Fi Direct Services Connection Manager Service) - Stopped/Paused
    ---WiaRpc (Still Image Acquisition Events) - Stopped/Paused
    ***WinDefend (Microsoft Defender Antivirus Service) - Running
    ***WinHttpAutoProxySvc (WinHTTP Web Proxy Auto-Discovery Service) - Running
    ***Winmgmt (Windows Management Instrumentation) - Running
    ---WinRM (Windows Remote Management (WS-Management)) - Stopped/Paused
    ---wisvc (Windows Insider Service) - Stopped/Paused
    ---WlanSvc (WLAN AutoConfig) - Stopped/Paused
    ---wlidsvc (Microsoft Account Sign-in Assistant) - Stopped/Paused
    ---wlpasvc (Local Profile Assistant Service) - Stopped/Paused
    ---WManSvc (Windows Management Service) - Stopped/Paused
    ---wmiApSrv (WMI Performance Adapter) - Stopped/Paused
    ---WMPNetworkSvc (Windows Media Player Network Sharing Service) - Stopped/Paused
    ---workfolderssvc (Work Folders) - Stopped/Paused
    ---WpcMonSvc (Parental Controls) - Stopped/Paused
    ---WPDBusEnum (Portable Device Enumerator Service) - Stopped/Paused
    ***WpnService (Windows Push Notifications System Service) - Running
    ***wscsvc (Security Center) - Running
    ***WSearch (Windows Search) - Running
    ***WTabletServicePro (Wacom Professional Service) - Running
    ---wuauserv (Windows Update) - Stopped/Paused
    ---WwanSvc (WWAN AutoConfig) - Stopped/Paused
    ---XblAuthManager (Xbox Live Auth Manager) - Stopped/Paused
    ---XblGameSave (Xbox Live Game Save) - Stopped/Paused
    ---XboxGipSvc (Xbox Accessory Management Service) - Stopped/Paused
    ---XboxNetApiSvc (Xbox Live Networking Service) - Stopped/Paused
    ---AarSvc_c5dd3 (Agent Activation Runtime_c5dd3) - Stopped/Paused
    ---BcastDVRUserService_c5dd3 (GameDVR and Broadcast User Service_c5dd3) - Stopped/Paused
    ---BluetoothUserService_c5dd3 (Bluetooth User Support Service_c5dd3) - Stopped/Paused
    ***CaptureService_c5dd3 (CaptureService_c5dd3) - Running
    ***cbdhsvc_c5dd3 (Clipboard User Service_c5dd3) - Running
    ***CDPUserSvc_c5dd3 (Connected Devices Platform User Service_c5dd3) - Running
    ---ConsentUxUserSvc_c5dd3 (ConsentUX_c5dd3) - Stopped/Paused
    ---CredentialEnrollmentManagerUserSvc_c5dd3 (CredentialEnrollmentManagerUserSvc_c5dd3) - Stopped/Paused
    ---DeviceAssociationBrokerSvc_c5dd3 (DeviceAssociationBroker_c5dd3) - Stopped/Paused
    ---DevicePickerUserSvc_c5dd3 (DevicePicker_c5dd3) - Stopped/Paused
    ---DevicesFlowUserSvc_c5dd3 (DevicesFlow_c5dd3) - Stopped/Paused
    ---MessagingService_c5dd3 (MessagingService_c5dd3) - Stopped/Paused
    ***OneSyncSvc_c5dd3 (Sync Host_c5dd3) - Running
    ***PimIndexMaintenanceSvc_c5dd3 (Contact Data_c5dd3) - Running
    ---PrintWorkflowUserSvc_c5dd3 (PrintWorkflow_c5dd3) - Stopped/Paused
    ***UdkUserSvc_c5dd3 (Udk User Service_c5dd3) - Running
    ***UnistoreSvc_c5dd3 (User Data Storage_c5dd3) - Running
    ***UserDataSvc_c5dd3 (User Data Access_c5dd3) - Running
    ***WpnUserService_c5dd3 (Windows Push Notifications User Service_c5dd3) - Running

Loaded Modules: 
[With ToolHelp32]
==> -00400000 <RAW> : F:\Stuff\SSP\000_Dev\000_dupe SSPs\2.4.86\ssp.exe
                      2.4.86.3000 - SSP
                      (C) D-EXCLAMATION / SSP BUGTRAQ
    -13700000 <RAW> : F:\Stuff\SSP\000_Dev\000_dupe SSPs\2.4.86\ghost\mini_dev\ghost\master\yaya.dll
                      5.50.4.0 - yaya
                       
    -57b20000 <RAW> : C:\WINDOWS\SYSTEM32\policymanager.dll
                      10.0.19041.662 - Policy Manager DLL
                      � Microsoft Corporation. All rights reserved.
    -59980000 <RAW> : C:\WINDOWS\SYSTEM32\srvcli.dll
                      10.0.19041.546 - Server Service Client DLL
                      � Microsoft Corporation. All rights reserved.
    -599a0000 <RAW> : C:\WINDOWS\SYSTEM32\ntshrui.dll
                      10.0.19041.610 - Shell extensions for sharing
                      � Microsoft Corporation. All rights reserved.
    -59a00000 <RAW> : C:\WINDOWS\SYSTEM32\LINKINFO.dll
                      10.0.19041.546 - Windows Volume Tracking
                      � Microsoft Corporation. All rights reserved.
    -5b060000 <RAW> : C:\WINDOWS\System32\winrnr.dll
                      10.0.19041.546 - LDAP RnR Provider DLL
                      � Microsoft Corporation. All rights reserved.
    -5b070000 <RAW> : C:\WINDOWS\system32\pnrpnsp.dll
                      10.0.19041.546 - PNRP Name Space Provider
                      � Microsoft Corporation. All rights reserved.
    -5b090000 <RAW> : C:\WINDOWS\system32\napinsp.dll
                      10.0.19041.546 - E-mail Naming Shim Provider
                      � Microsoft Corporation. All rights reserved.
    -5e2b0000 <RAW> : C:\WINDOWS\system32\twinapi.dll
                      10.0.19041.546 - twinapi
                      � Microsoft Corporation. All rights reserved.
    -5e450000 <RAW> : C:\WINDOWS\SYSTEM32\oledlg.dll
                      10.0.19041.1 - OLE User Interface Support
                      � Microsoft Corporation. All rights reserved.
    -65530000 <RAW> : C:\WINDOWS\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.19041.488_none_11b1e5df2ffd8627\COMCTL32.dll
                      6.10.19041.488 - User Experience Controls Library
                      � Microsoft Corporation. All rights reserved.
    -659d0000 <RAW> : C:\WINDOWS\System32\CoreUIComponents.dll
                      10.0.19041.546 - Microsoft Core UI Components Dll
                      � Microsoft Corporation. All rights reserved.
    -65c50000 <RAW> : C:\WINDOWS\System32\CoreMessaging.dll
                      10.0.19041.546 - Microsoft CoreMessaging Dll
                      � Microsoft Corporation. All rights reserved.
    -65de0000 <RAW> : C:\WINDOWS\SYSTEM32\textinputframework.dll
                      10.0.19041.662 - "TextInputFramework.DYNLINK"
                      � Microsoft Corporation. All rights reserved.
    -66030000 <RAW> : C:\WINDOWS\system32\wshbth.dll
                      10.0.19041.546 - Windows Sockets Helper DLL
                      � Microsoft Corporation. All rights reserved.
    -68520000 <RAW> : C:\WINDOWS\SYSTEM32\DNSAPI.dll
                      10.0.19041.610 - DNS Client API DLL
                      � Microsoft Corporation. All rights reserved.
    -685d0000 <RAW> : C:\WINDOWS\system32\mswsock.dll
                      10.0.19041.546 - Microsoft Windows Sockets 2.0 Service Provider
                      � Microsoft Corporation. All rights reserved.
    -68890000 <RAW> : C:\Windows\System32\twinapi.appcore.dll
                      10.0.19041.546 - twinapi.appcore
                      � Microsoft Corporation. All rights reserved.
    -68ef0000 <RAW> : C:\WINDOWS\SYSTEM32\powrprof.dll
                      10.0.19041.546 - Power Profile Helper DLL
                      � Microsoft Corporation. All rights reserved.
    -6b3a0000 <RAW> : C:\WINDOWS\SYSTEM32\WINMM.dll
                      10.0.19041.546 - MCI API DLL
                      � Microsoft Corporation. All rights reserved.
    -6b6e0000 <RAW> : C:\WINDOWS\system32\dwmapi.dll
                      10.0.19041.546 - Microsoft Desktop Window Manager API
                      � Microsoft Corporation. All rights reserved.
    -6c880000 <RAW> : C:\Windows\System32\ActXPrxy.dll
                      10.0.19041.546 - ActiveX Interface Marshaling Library
                      � Microsoft Corporation. All rights reserved.
    -6c9f0000 <RAW> : C:\WINDOWS\WinSxS\x86_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.19041.685_none_4299dbb28a92ae3e\gdiplus.dll
                      10.0.19041.685 - Microsoft GDI+
                      � Microsoft Corporation. All rights reserved.
    -6d0b0000 <RAW> : C:\WINDOWS\SYSTEM32\TextShaping.dll
    -6d580000 <RAW> : C:\WINDOWS\SYSTEM32\QUARTZ.dll
                      10.0.19041.329 - DirectShow Runtime.
                      � Microsoft Corporation. All rights reserved.
    -6e390000 <RAW> : C:\WINDOWS\system32\explorerframe.dll
                      10.0.19041.546 - ExplorerFrame
                      � Microsoft Corporation. All rights reserved.
    -6eb60000 <RAW> : C:\Windows\System32\appresolver.dll
                      10.0.19041.546 - App Resolver
                      � Microsoft Corporation. All rights reserved.
    -6ec30000 <RAW> : C:\WINDOWS\system32\rsaenh.dll
                      10.0.19041.546 - Microsoft Enhanced Cryptographic Provider
                      � Microsoft Corporation. All rights reserved.
    -6ec60000 <RAW> : C:\WINDOWS\System32\fwpuclnt.dll
                      10.0.19041.546 - FWP/IPsec User-Mode API
                      � Microsoft Corporation. All rights reserved.
    -6fff0000 <RAW> : C:\WINDOWS\SYSTEM32\mscms.dll
                      10.0.19041.546 - Microsoft Color Matching System DLL
                      � Microsoft Corporation. All rights reserved.
    -71900000 <RAW> : C:\Windows\System32\Windows.StateRepositoryPS.dll
                      10.0.19041.546 - Windows StateRepository Proxy/Stub Server
                      � Microsoft Corporation. All rights reserved.
    -71a00000 <RAW> : C:\Windows\System32\OneCoreCommonProxyStub.dll
                      10.0.19041.610 - OneCore Common Proxy Stub
                      � Microsoft Corporation. All rights reserved.
    -71a90000 <RAW> : C:\WINDOWS\System32\netprofm.dll
                      10.0.19041.546 - Network List Manager
                      � Microsoft Corporation. All rights reserved.
    -721f0000 <RAW> : C:\WINDOWS\system32\Oleacc.dll
                      7.2.19041.546 - Active Accessibility Core Component
                      � Microsoft Corporation. All rights reserved.
    -72660000 <RAW> : C:\Windows\System32\LocationApi.dll
                      10.0.19041.329 - Microsoft Windows Location API
                      � Microsoft Corporation. All rights reserved.
    -72740000 <RAW> : C:\Windows\System32\OneCoreUAPCommonProxyStub.dll
                      10.0.19041.610 - OneCoreUAP Common Proxy Stub
                      � Microsoft Corporation. All rights reserved.
    -72e60000 <RAW> : C:\WINDOWS\SYSTEM32\apphelp.dll
                      10.0.19041.572 - Application Compatibility Client Library
                      � Microsoft Corporation. All rights reserved.
    -73150000 <RAW> : C:\WINDOWS\SYSTEM32\ntmarta.dll
                      10.0.19041.546 - Windows NT MARTA provider
                      � Microsoft Corporation. All rights reserved.
    -73180000 <RAW> : C:\WINDOWS\SYSTEM32\cscapi.dll
                      10.0.19041.546 - Offline Files Win32 API
                      � Microsoft Corporation. All rights reserved.
    -73190000 <RAW> : C:\WINDOWS\SYSTEM32\CRYPTSP.dll
                      10.0.19041.546 - Cryptographic Service Provider API
                      � Microsoft Corporation. All rights reserved.
    -731b0000 <RAW> : C:\Windows\System32\msvcp110_win.dll
                      10.0.19041.546 - Microsoft� STL110 C++ Runtime Library
                      � Microsoft Corporation. All rights reserved.
    -73300000 <RAW> : C:\Windows\System32\deviceaccess.dll
                      10.0.19041.264 - Device Broker And Policy COM Server
                      � Microsoft Corporation. All rights reserved.
    -73330000 <RAW> : C:\WINDOWS\SYSTEM32\UMPDC.dll
    -73340000 <RAW> : C:\WINDOWS\SYSTEM32\CRYPTBASE.dll
                      10.0.19041.546 - Base cryptographic API DLL
                      � Microsoft Corporation. All rights reserved.
    -73390000 <RAW> : C:\WINDOWS\SYSTEM32\iphlpapi.dll
                      10.0.19041.546 - IP Helper API
                      � Microsoft Corporation. All rights reserved.
    -733d0000 <RAW> : C:\WINDOWS\SYSTEM32\MSASN1.dll
                      10.0.19041.546 - ASN.1 Runtime APIs
                      � Microsoft Corporation. All rights reserved.
    -733e0000 <RAW> : C:\Windows\System32\rasadhlp.dll
                      10.0.19041.546 - Remote Access AutoDial Helper
                      � Microsoft Corporation. All rights reserved.
    -734b0000 <RAW> : C:\Windows\System32\PortableDeviceTypes.dll
                      10.0.19041.1 - Windows Portable Device (Parameter) Types Component
                      � Microsoft Corporation. All rights reserved.
    -736f0000 <RAW> : C:\WINDOWS\system32\dcomp.dll
                      10.0.19041.662 - Microsoft DirectComposition Library
                      � Microsoft Corporation. All rights reserved.
    -73860000 <RAW> : C:\WINDOWS\system32\d3d11.dll
                      10.0.19041.546 - Direct3D 11 Runtime
                      � Microsoft Corporation. All rights reserved.
    -73aa0000 <RAW> : C:\WINDOWS\SYSTEM32\ColorAdapterClient.dll
                      10.0.19041.546 - Microsoft Color Adapter Client
                      � Microsoft Corporation. All rights reserved.
    -73d00000 <RAW> : C:\WINDOWS\SYSTEM32\VERSION.dll
                      10.0.19041.546 - Version Checking and File Installation Libraries
                      � Microsoft Corporation. All rights reserved.
    -73d40000 <RAW> : C:\Windows\System32\sppc.dll
                      10.0.19041.546 - Software Licensing Client Dll
                      � Microsoft Corporation. All rights reserved.
    -73d80000 <RAW> : C:\Windows\System32\Bcp47Langs.dll
                      10.0.19041.546 - BCP47 Language Classes
                      � Microsoft Corporation. All rights reserved.
    -73df0000 <RAW> : C:\WINDOWS\System32\SensorsNativeApi.V2.dll
                      10.0.19041.1 - Sensors Native API (V2 stack)
                      � Microsoft Corporation. All rights reserved.
    -73e20000 <RAW> : C:\WINDOWS\System32\SensorsApi.dll
                      10.0.19041.329 - Sensor API
                      � Microsoft Corporation. All rights reserved.
    -73e80000 <RAW> : C:\Windows\System32\SLC.dll
                      10.0.19041.546 - Software Licensing Client Dll
                      � Microsoft Corporation. All rights reserved.
    -73ea0000 <RAW> : C:\WINDOWS\System32\SensorsUtilsV2.dll
                      10.0.19041.1 - Sensors v2 Utilities DLL
                      � Microsoft Corporation. All rights reserved.
    -73f50000 <RAW> : C:\WINDOWS\System32\npmproxy.dll
                      10.0.19041.546 - Network List Manager Proxy
                      � Microsoft Corporation. All rights reserved.
    -73f60000 <RAW> : C:\WINDOWS\system32\wshunix.dll
                      10.0.19041.1 - AF_UNIX Winsock2 Helper DLL
                      � Microsoft Corporation. All rights reserved.
    -73f70000 <RAW> : C:\WINDOWS\System32\perfos.dll
                      10.0.19041.488 - Windows System Performance Objects DLL
                      � Microsoft Corporation. All rights reserved.
    -73fa0000 <RAW> : C:\WINDOWS\system32\dxgi.dll
                      10.0.19041.546 - DirectX Graphics Infrastructure
                      � Microsoft Corporation. All rights reserved.
    -74070000 <RAW> : C:\WINDOWS\system32\dataexchange.dll
                      10.0.19041.546 - Data exchange
                      � Microsoft Corporation. All rights reserved.
    -740d0000 <RAW> : C:\WINDOWS\system32\NLAapi.dll
                      10.0.19041.546 - Network Location Awareness 2
                      � Microsoft Corporation. All rights reserved.
    -74490000 <RAW> : C:\WINDOWS\SYSTEM32\wintypes.dll
                      10.0.19041.662 - Windows Base Types DLL
                      � Microsoft Corporation. All rights reserved.
    -74570000 <RAW> : C:\WINDOWS\SYSTEM32\SspiCli.dll
                      10.0.19041.488 - Security Support Provider Interface
                      � Microsoft Corporation. All rights reserved.
    -74630000 <RAW> : C:\WINDOWS\system32\msimg32.dll
                      10.0.19041.546 - GDIEXT Client DLL
                      � Microsoft Corporation. All rights reserved.
    -74640000 <RAW> : C:\WINDOWS\SYSTEM32\iertutil.dll
                      11.0.19041.630 - Run time utility for Internet Explorer
                      � Microsoft Corporation. All rights reserved.
    -74870000 <RAW> : C:\WINDOWS\SYSTEM32\urlmon.dll
                      11.0.19041.610 - OLE32 Extensions for Win32
                      � Microsoft Corporation. All rights reserved.
    -74a20000 <RAW> : C:\WINDOWS\SYSTEM32\edputil.dll
                      10.0.19041.546 - EDP util
                      � Microsoft Corporation. All rights reserved.
    -74a40000 <RAW> : C:\WINDOWS\system32\uxtheme.dll
                      10.0.19041.610 - Microsoft UxTheme Library
                      � Microsoft Corporation. All rights reserved.
    -74b10000 <RAW> : C:\WINDOWS\System32\PROPSYS.dll
                      7.0.19041.546 - Microsoft Property System
                      � Microsoft Corporation. All rights reserved.
    -74be0000 <RAW> : C:\WINDOWS\SYSTEM32\profapi.dll
                      10.0.19041.546 - User Profile Basic API
                      � Microsoft Corporation. All rights reserved.
    -74c00000 <RAW> : C:\WINDOWS\SYSTEM32\Wldp.dll
                      10.0.19041.662 - Windows Lockdown Policy
                      � Microsoft Corporation. All rights reserved.
    -74c30000 <RAW> : C:\WINDOWS\SYSTEM32\windows.storage.dll
                      10.0.19041.662 - Microsoft WinRT Storage API
                      � Microsoft Corporation. All rights reserved.
    -75240000 <RAW> : C:\WINDOWS\SYSTEM32\kernel.appcore.dll
                      10.0.19041.546 - AppModel API Host
                      � Microsoft Corporation. All rights reserved.
    -75250000 <RAW> : C:\WINDOWS\SYSTEM32\USERENV.dll
                      10.0.19041.572 - Userenv
                      � Microsoft Corporation. All rights reserved.
    -75290000 <RAW> : C:\WINDOWS\System32\CRYPT32.dll
                      10.0.19041.546 - Crypto API32
                      � Microsoft Corporation. All rights reserved.
    -75390000 <RAW> : C:\WINDOWS\System32\IMM32.DLL
                      10.0.19041.546 - Multi-User Windows IMM32 API Client DLL
                      � Microsoft Corporation. All rights reserved.
    -75420000 <RAW> : C:\WINDOWS\System32\imagehlp.dll
                      10.0.19041.546 - Windows NT Image Helper
                      � Microsoft Corporation. All rights reserved.
    -75440000 <RAW> : C:\WINDOWS\System32\KERNELBASE.dll
                      10.0.19041.662 - Windows NT BASE API Client DLL
                      � Microsoft Corporation. All rights reserved.
    -75660000 <RAW> : C:\WINDOWS\System32\SETUPAPI.dll
                      10.0.19041.546 - Windows Setup API
                      � Microsoft Corporation. All rights reserved.
    -75ab0000 <RAW> : C:\WINDOWS\System32\ucrtbase.dll
                      10.0.19041.546 - Microsoft� C Runtime Library
                      � Microsoft Corporation. All rights reserved.
    -75bd0000 <RAW> : C:\WINDOWS\System32\ole32.dll
                      10.0.19041.546 - Microsoft OLE for Windows
                      � Microsoft Corporation. All rights reserved.
    -75cc0000 <RAW> : C:\WINDOWS\System32\RPCRT4.dll
                      10.0.19041.662 - Remote Procedure Call Runtime
                      � Microsoft Corporation. All rights reserved.
    -75dd0000 <RAW> : C:\WINDOWS\System32\GDI32.dll
                      10.0.19041.685 - GDI Client DLL
                      � Microsoft Corporation. All rights reserved.
    -75e00000 <RAW> : C:\WINDOWS\System32\comdlg32.dll
                      10.0.19041.662 - Common Dialogs DLL
                      � Microsoft Corporation. All rights reserved.
    -76020000 <RAW> : C:\WINDOWS\System32\bcrypt.dll
                      10.0.19041.546 - Windows Cryptographic Primitives Library
                      � Microsoft Corporation. All rights reserved.
    -76040000 <RAW> : C:\WINDOWS\System32\SHLWAPI.dll
                      10.0.19041.546 - Shell Light-weight Utility Library
                      � Microsoft Corporation. All rights reserved.
    -760f0000 <RAW> : C:\WINDOWS\System32\gdi32full.dll
                      10.0.19041.685 - GDI Client DLL
                      � Microsoft Corporation. All rights reserved.
    -761d0000 <RAW> : C:\WINDOWS\System32\cfgmgr32.dll
                      10.0.19041.546 - Configuration Manager DLL
                      � Microsoft Corporation. All rights reserved.
    -76210000 <RAW> : C:\WINDOWS\System32\OLEAUT32.dll
                      10.0.19041.546 - OLEAUT32.DLL
                      � Microsoft Corporation. All rights reserved.
    -762b0000 <RAW> : C:\WINDOWS\System32\normaliz.dll
                      10.0.19041.546 - Unicode Normalization DLL
                      � Microsoft Corporation. All rights reserved.
    -762c0000 <RAW> : C:\WINDOWS\System32\win32u.dll
                      10.0.19041.662 - Win32u
                      � Microsoft Corporation. All rights reserved.
    -762e0000 <RAW> : C:\WINDOWS\System32\ADVAPI32.dll
                      10.0.19041.610 - Advanced Windows 32 Base API
                      � Microsoft Corporation. All rights reserved.
    -76360000 <RAW> : C:\WINDOWS\System32\sechost.dll
                      10.0.19041.662 - Host for SCM/SDDL/LSA Lookup APIs
                      � Microsoft Corporation. All rights reserved.
    -76470000 <RAW> : C:\WINDOWS\System32\shcore.dll
                      10.0.19041.662 - SHCORE
                      � Microsoft Corporation. All rights reserved.
    -76500000 <RAW> : C:\WINDOWS\System32\NSI.dll
                      10.0.19041.610 - NSI User-mode interface DLL
                      � Microsoft Corporation. All rights reserved.
    -76510000 <RAW> : C:\WINDOWS\System32\SHELL32.dll
                      10.0.19041.662 - Windows Shell Common Dll
                      � Microsoft Corporation. All rights reserved.
    -76b30000 <RAW> : C:\WINDOWS\System32\MSCTF.dll
                      10.0.19041.662 - MSCTF Server DLL
                      � Microsoft Corporation. All rights reserved.
    -76c10000 <RAW> : C:\WINDOWS\System32\KERNEL32.DLL
                      10.0.19041.662 - Windows NT BASE API Client DLL
                      � Microsoft Corporation. All rights reserved.
    -76d00000 <RAW> : C:\WINDOWS\System32\combase.dll
                      10.0.19041.662 - Microsoft COM for Windows
                      � Microsoft Corporation. All rights reserved.
    -76f90000 <RAW> : C:\WINDOWS\System32\clbcatq.dll
                      2001.12.10941.16384 - COM+ Configuration Catalog
                      � Microsoft Corporation. All rights reserved.
    -77010000 <RAW> : C:\WINDOWS\System32\WS2_32.dll
                      10.0.19041.546 - Windows Socket 2.0 32-Bit DLL
                      � Microsoft Corporation. All rights reserved.
    -77080000 <RAW> : C:\WINDOWS\System32\msvcp_win.dll
                      10.0.19041.546 - Microsoft� C Runtime Library
                      � Microsoft Corporation. All rights reserved.
    -77100000 <RAW> : C:\WINDOWS\System32\USER32.dll
                      10.0.19041.685 - Multi-User Windows USER API Client DLL
                      � Microsoft Corporation. All rights reserved.
    -772a0000 <RAW> : C:\WINDOWS\System32\bcryptPrimitives.dll
                      10.0.19041.662 - Windows Cryptographic Primitives Library
                      � Microsoft Corporation. All rights reserved.
    -77300000 <RAW> : C:\WINDOWS\System32\msvcrt.dll
                      7.0.19041.546 - Windows NT CRT DLL
                      � Microsoft Corporation. All rights reserved.
    -773d0000 <RAW> : C:\WINDOWS\SYSTEM32\ntdll.dll
                      10.0.19041.662 - NT Layer DLL
                      � Microsoft Corporation. All rights reserved.

Registers: 
EAX 037c77e4 EBX 03c3fbe8 ECX 000000ac EDX 037c780b
ESI 000000ac EDI 037c77e4 DS 002b ES 002b FS 0053 GS 002b
SS/ESP/EBP 002b/0823ed10/0823ed18 CS/EIP 0023/0047ff52
EFlags 00010206 (Parity,Interrupt,Restart)

Stack Dump: 
00890318 075b41ec 0823ed84 0047c4ec 037c77e4 075b43a8 00000000 075b41ec
00000000 00000000 00000000 00000000 00000000 0823ed4c 00000000 00000054
004c0053 0020005d 00520045 00200052 0020003a 00000000 02e98938 03c3fbe8
02e98970 02e60bc8 0823edd4 0079eb6f ffffffff 0823ede0 0047ccc5 07632da0
00000000 00000000 075b41ec 0823eda4 00000001 00000000 075b41ec 00626ab9
00000000 075b41ec 0823edfc 075b43a8 00626a81 00000000 00000000 00000000
00716ec0 0823f08c 0079ebb0 00000001 0823edfc 0047a2ae 07632da0 00000000
00000000 075b41ec 075b43e0 0823ee20 0047b946 07642020 00020000 00000000

CallStack Trace:
00 : 0047ff52/0007ef52 <RAW> [037c77e4,075b43a8,00000000,075b41ec] @ ssp.exe (JString::operator=->0x12)
01 : 0047c4ec/0007b4ec <RAW> [07632da0,00000000,00000000,075b41ec] @ ssp.exe (JSocket::ProcessX509Info->0x1cc)
02 : 0047ccc5/0007bcc5 <RAW> [07632da0,00000000,00000000,075b41ec] @ ssp.exe (JSocket::SSLProcessAfterConnect->0x125)
03 : 0047a2ae/000792ae <RAW> [07642020,00020000,00000000,00000000] @ ssp.exe (JSocket::recv_wrapper->0x8e)
04 : 0047b946/0007a946 <RAW> [0823ee43,00000000,075b41ec,00000000] @ ssp.exe (JSocket::RecvLineSub->0xa6)
05 : 0047bb8a/0007ab8a <RAW> [0823ef14,075b41ec,075b41ec,075b41ec] @ ssp.exe (JSocket::RecvLine->0x16a)
06 : 004f7b99/000f6b99 <RAW> [075fc330,0823f3e0,00000000,00000001] @ ssp.exe (SPHttp::RealRead->0xce9)
07 : 004f690d/000f590d <RAW> [075fc330,0823f3e0,00000000,00000001] @ ssp.exe (SPHttp::Read->0x8d)
08 : 0058a4bb/001894bb <RAW> [02e94ca8,075b41b0,075b4a24,00000040] @ ssp.exe (SPUpdate::UpdateProcReal->0x43b)
09 : 0058992f/0018892f <RAW> [075c4948,075b41b0,03c3f158,02d00000] @ ssp.exe (SPUpdate::UpdateProc->0x11f)
10 : 00589557/00188557 <RAW> [00000000,075f03f8,02e94ca8,075b41b0] @ ssp.exe (SPUpdate::UpdateExec->0x1e7)
11 : 00589176/00188176 <RAW> [007badd0,00e94ca8,00000000,00000001] @ ssp.exe (SPUpdate::UpdateGhost->0x336)
12 : 004ddc41/000dcc41 <RAW> [075f03f8,07572324,0823ff28,00558b7c] @ ssp.exe (SPGhost::UpdateMe->0x201)
13 : 00558d34/00157d34 <RAW> [075f03f8,007738a4,03caf4b0,03caf4b0] @ ssp.exe (SPSTMThreadDescProc::Execute->0x14)
14 : 00558b7c/00157b7c <RAW> [02e58bd4,00000001,0823ff70,00773925] @ ssp.exe (SPSimpleThreadManager::BeginThreadProcShared->0xac)
15 : 00558c83/00157c83 <RAW> [07572308,007738a4,007738a4,03caf4b0] @ ssp.exe (SPSimpleThreadManager::BeginThreadProcNormal->0x13)
16 : 00773925/00372925 <RAW> [03caf4b0,76c2fa10,0823ffdc,774375f4] @ ssp.exe (_beginthread              0077382d f   libcmt:thread.obj->0xf8)
17 : 76c2fa29/0000fa29 <RAW> [03caf4b0,f06ec496,00000000,00000000] @ KERNEL32.DLL (BaseThreadInitThunk->0x19)
18 : 774375f4/000665f4 <RAW> [ffffffff,7745734d,00000000,00000000] @ ntdll.dll (RtlGetAppContainerNamedObjectPath->0xe4)
19 : 774375c4/000665c4 <RAW> [007738a4,03caf4b0,00000000,00905a4d] @ ntdll.dll (RtlGetAppContainerNamedObjectPath->0xb4)

Total StackDepth : 20
STACKTRC.TXT (74,617 bytes)   
21-1-21.png (5,671 bytes)   
21-1-21.png (5,671 bytes)   

guest

2021-01-21 18:45

reporter   ~0000233

Update: I've discovered some new info, after looking at issue 0000122 again. Any update URL with a raw.githubusercontent link in it causes a crash, though you may have to attempt an update a couple times to produce it. I tried URLs that should have caused a 404 eror, such as "https://raw.githubusercontent.com/z&quot;, and was still reliably able to produce a crash.

I don't know if it is helpful at all, but this is the info in the network log when I attempt an update with "https://raw.githubusercontent.com/z&quot; as the homeurl the first time:
[SSL] Params : Verify Name=TLS_AES_256_GCM_SHA384 Bits=256 Ver=TLSv1.3 Subject=/C=US/ST=California/L=San Francisco/O=GitHub, Inc./CN=www.github.com/serialNumber=02493E07FA9E375A2DBBC61D94430FCF Issuer=/C=US/O=DigiCert Inc/OU=www.digicert.com/CN=DigiCert SHA2 High Assurance Server CA/serialNumber=02493E07FA9E375A2DBBC61D94430FCF Valid=20200506000000Z-20220414120000Z
[SSL] Chain : www.github.com -> DigiCert SHA2 High Assurance Server CA -> DigiCert High Assurance EV Root CA
[HTTP] Result=400 Method=GET URL=https://raw.githubusercontent.com/z/updates2.dau
[HTTP] Result=400 Method=GET URL=https://raw.githubusercontent.com/z/updates.txt
[HTTP] Result=400 Method=GET URL=https://raw.githubusercontent.com/z/updates.dau

Attempting an update a second time causes a crash.

I personally host my network updates on Github, but I use a github.io link. I tested the github.io link multiple times, and it does not have the same issue.

guest

2021-01-31 10:55

reporter   ~0000237

Another update, found out some more info.

github.io links are now also causing the crash, but when I last posted they definitely were not. I'm not sure what changed.
Also, if an update is in progress with a github link, if you try to cancel by double clicking the balloon it will cause the crash even if the update is working fine. It seems trying to cancel the update may be responsible for the crash. It does not seem to time out, though, so cancelling the update is your only option if no update is available.

guest

2021-02-02 16:06

reporter   ~0000238

Another update!

It seems the issue with connecting to Github is not limited to network updates, it also affects http-get as well. I use http-get to pull some information off my website on Github, and it no longer works, instead giving me this error in the network log: [HTTP] Result=NoConnection Method=GET URL=https://zichqec.github.io/s-the-skeleton/weatherregex.html
Also note that, again, it does not seem to time out. If I run just the http-get command by itself (This is the command by the way: ![execute,http-get,https://zichqec.github.io/s-the-skeleton/weatherregex.html,--async=OnNonFunction,--file=regex.html,--timeout=300] ) then it will keep the balloon open in online mode indefinitely unless something forces it out. Double clicking the balloon in this case, thankfully, does not cause a crash. However, it doesn't exit onlinemode either, so the balloon stays open.

guest

2021-02-05 15:03

reporter   ~0000243

A little more information.

As far as I can tell, when you first load a ghost, you can try checking for updates or doing an http-get command one time. It will fail, but it will not crash. If you try to update after that, it will cause the freeze/crash. So the http-get and network updates are definitely interacting in some way here.

ponapalt

2021-03-01 04:42

administrator   ~0000251

2.4.91 FIXED

Issue History

Date Modified Username Field Change
2021-01-21 18:17 guest New Issue
2021-01-21 18:17 guest File Added: STACKTRC.TXT
2021-01-21 18:17 guest File Added: 21-1-21.png
2021-01-21 18:45 guest Note Added: 0000233
2021-01-31 10:55 guest Note Added: 0000237
2021-02-02 16:06 guest Note Added: 0000238
2021-02-05 15:03 guest Note Added: 0000243
2021-03-01 04:41 ponapalt Relationship added related to 0000122
2021-03-01 04:42 ponapalt Relationship replaced has duplicate 0000122
2021-03-01 04:42 ponapalt Assigned To => ponapalt
2021-03-01 04:42 ponapalt Status new => closed
2021-03-01 04:42 ponapalt Resolution open => fixed
2021-03-01 04:42 ponapalt Fixed in Version => 2.4 (リリース)
2021-03-01 04:42 ponapalt Note Added: 0000251